package com.heyu.api.data.enums;

import com.heyu.api.data.entity.vv.VvReverseOrderEntity;

public enum ReverseStatusEnums {

    // 逆向状态状态 wait_seller_agree  等待卖家同意 ,
    // wait_buyer_post 等待买家寄东西,
    // shipping 运送中,
    // delivered 妥投,
    // reject_delivered 拒绝妥投,
    // agree_refunded 同意退款 ,
    // refunded 退款完成 ，
    // close 退款关闭
    // 订单取消:cancel,买家申请仅退款，等待卖家同意:buyer_apply_refund_wait_seller_agree，买家申请退货退款:buyer_apply_return_wait_seller_agree,卖家同意退货，买家邮寄:seller_agree_return_wait_buyer_post,运送中:shipping,已签收:shipped,拒绝签收:reject_shipped,质检完成:qa_check_finished,同意退款:agree_refund,拒绝退款:reject_refund,微信退款中:weixin_refunding,退款完成:refunded,退款关闭:close，拒绝退货：reject_return

    create("create", "订单创建"),

    buyer_apply_cancel("buyer_apply_cancel", "买家申请订单取消"),

    seller_agree_cancel("seller_agree_cancel", "卖家同意订单取消"),

    seller_reject_cancel("seller_reject_cancel", "卖家拒绝取消"),

    buyer_apply_refund_wait_seller_agree("buyer_apply_refund_wait_seller_agree", "买家申请仅退款，等待卖家同意,"),

    buyer_apply_return_wait_seller_agree("buyer_apply_return_wait_seller_agree", "买家申请退货退款，等待卖家同意,"),

    seller_agree_return_wait_buyer_post("seller_agree_return_wait_buyer_post", "卖家同意退货，等待买家邮寄"),

    reject_return("reject_return", "卖家拒绝退货退款"),

    shipping("shipping", "运送中"),

    shipped("shipped", "已投递，比如入到快递柜"),

    agree_sign_receipt("agree_sign_receipt", "同意签收"),

    reject_sign_receipt("reject_sign_receipt", "拒绝签收"),

    qa_check_finished("qa_check_finished", "质检完成"),

    agree_refund("agree_refund", "同意退款"),

    reject_refund("reject_refund", "拒绝退款"),

    weixin_refunding("weixin_refunding", "微信退款中"),

    refunded("refunded", "退款完成"),

    close("close", "退款关闭");

    ReverseStatusEnums(String status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    private String status;

    private String desc;



    // 订单取消:cancel,买家申请退款，等待卖家同意:buyer_apply_reverse_wait_seller_agree,卖家同意退货，买家邮寄:seller_agree_return_wait_buyer_post,运送中:shipping,已签收:shipped,拒绝签收:reject_shipped,质检完成:qa_check_finished,同意退款:agree_refund,拒绝退款:reject_refund,微信退款中:weixin_refunding,退款完成:refunded,退款关闭:close

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }




}
